from typing import Union
from apistar.exceptions import HTTPException


class Conflict(HTTPException):
    default_status_code = 409
    default_detail = 'The request could not be completed due to a conflict with the current state of the resource'

    def __init__(self,
                 location: str=None,
                 detail: Union[str, dict]=None,
                 status_code: int=None) -> None:
        self.location = location
        super().__init__(detail, status_code)

    def get_headers(self):
        if self.location:
            return {'Location': self.location}
        else:
            return {}