import os
from sqlalchemy import create_engine
from news.models import Base
import click

engine = create_engine(os.getenv('NEWS_DB', ''))

metadata = Base.metadata

metadata.bind = engine


@click.group()
def cli():
    pass


@click.command('create_db')
def create_db():
    click.echo("Creating news database")
    Base.metadata.create_all()
    click.echo("Database created")


@click.command('drop_db')
def drop_db():
    print("Dropping news database")
    Base.metadata.drop_all()
    print("Database dropped")


cli.add_command(create_db)
cli.add_command(drop_db)

if __name__ == "__main__":
    cli()
